diff options
author | obscuren <geffobscura@gmail.com> | 2014-07-01 19:48:28 +0800 |
---|---|---|
committer | obscuren <geffobscura@gmail.com> | 2014-07-01 19:48:28 +0800 |
commit | 114e715e3c9a547da28b385b85fa69514ae40636 (patch) | |
tree | 64503d09f1120ef2327a8184e46d5ee8bc7090bd /install.sh | |
parent | 0ce9003ba77c0552c9058caa55d2fea6711ac18c (diff) | |
parent | 253c23240b8cec56e2bb21072291e2f7ef1a49e9 (diff) | |
download | go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar.gz go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar.bz2 go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar.lz go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar.xz go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.tar.zst go-tangerine-114e715e3c9a547da28b385b85fa69514ae40636.zip |
Merge branch 'ethersphere-feature/keys' into develop
Diffstat (limited to 'install.sh')
-rwxr-xr-x | install.sh | 57 |
1 files changed, 57 insertions, 0 deletions
diff --git a/install.sh b/install.sh new file mode 100755 index 000000000..9719a1afc --- /dev/null +++ b/install.sh @@ -0,0 +1,57 @@ +#!/bin/sh + +if [ "$1" == "" ]; then + echo "Usage $0 executable branch ethereum develop" + echo "executable ethereum or ethereal" + echo "branch develop or master" + exit +fi + +exe=$1 +branch=$2 + +# Test if go is installed +command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; } + +# Test if $GOPATH is set +if [ "$GOPATH" == "" ]; then + echo "\$GOPATH not set" + exit +fi + +echo "go get -u -d github.com/ethereum/go-ethereum/$exe" +go get -v -u -d github.com/ethereum/go-ethereum/$exe +if [ $? != 0 ]; then + echo "go get failed" + exit +fi + +echo "serpent-go" +cd $GOPATH/src/github.com/obscuren/serpent-go + +echo "init submodule" +git submodule init +git submodule update + +echo "eth-go" +cd $GOPATH/src/github.com/ethereum/eth-go +git checkout $branch + +echo "go-ethereum" +cd $GOPATH/src/github.com/ethereum/go-ethereum/$exe +git checkout $branch + +if [ "$exe" == "ethereal" ]; then + echo "Building ethereal GUI. Assuming Qt is installed. If this step" + echo "fails; please refer to: https://github.com/ethereum/go-ethereum/wiki/Building-Ethereum(Go)" +else + echo "Building ethereum CLI." +fi + +go install +if [ $? == 0 ]; then + echo "go install failed" + exit +fi + +echo "done. Please run $exe :-)" |